Loading...
Searching...
No Matches
juce::midi_ci::Message Namespace Reference

## Detailed Description

Namespace containing structs representing different kinds of MIDI-CI message.

## Classes

struct | ComparableRange
| Wraps a span, providing equality operators that compare the span contents elementwise. More...
struct | Header
| Holds fields that can be found at the beginning of every MIDI CI message. More...
struct | Generic
| Groups together a CI message header, and some number of trailing bytes. More...
struct | DiscoveryResponse
| See the MIDI-CI specification. More...
struct | Discovery
| See the MIDI-CI specification. More...
struct | EndpointInquiryResponse
| See the MIDI-CI specification. More...
struct | EndpointInquiry
| See the MIDI-CI specification. More...
struct | InvalidateMUID
| See the MIDI-CI specification. More...
struct | ACK
| See the MIDI-CI specification. More...
struct | NAK
| See the MIDI-CI specification. More...
struct | ProfileInquiryResponse
| See the MIDI-CI specification. More...
struct | ProfileInquiry
| See the MIDI-CI specification. More...
struct | ProfileAdded
| See the MIDI-CI specification. More...
struct | ProfileRemoved
| See the MIDI-CI specification. More...
struct | ProfileDetailsResponse
| See the MIDI-CI specification. More...
struct | ProfileDetails
| See the MIDI-CI specification. More...
struct | ProfileOn
| See the MIDI-CI specification. More...
struct | ProfileOff
| See the MIDI-CI specification. More...
struct | ProfileEnabledReport
| See the MIDI-CI specification. More...
struct | ProfileDisabledReport
| See the MIDI-CI specification. More...
struct | ProfileSpecificData
| See the MIDI-CI specification. More...
struct | PropertyExchangeCapabilitiesResponse
| See the MIDI-CI specification. More...
struct | PropertyExchangeCapabilities
| See the MIDI-CI specification. More...
struct | StaticSizePropertyExchange
| A property-exchange message that has no payload, and must therefore be contained in a single chunk. More...
struct | DynamicSizePropertyExchange
| A property-exchange message that may form part of a multi-chunk message sequence. More...
struct | PropertyGetDataResponse
| See the MIDI-CI specification. More...
struct | PropertyGetData
| See the MIDI-CI specification. More...
struct | PropertySetDataResponse
| See the MIDI-CI specification. More...
struct | PropertySetData
| See the MIDI-CI specification. More...
struct | PropertySubscribeResponse
| See the MIDI-CI specification. More...
struct | PropertySubscribe
| See the MIDI-CI specification. More...
struct | PropertyNotify
| See the MIDI-CI specification. More...
struct | ProcessInquiryResponse
| See the MIDI-CI specification. More...
struct | ProcessInquiry
| See the MIDI-CI specification. More...
struct | ProcessMidiMessageReportResponse
| See the MIDI-CI specification. More...
struct | ProcessMidiMessageReport
| See the MIDI-CI specification. More...
struct | ProcessEndMidiMessageReport
| See the MIDI-CI specification. More...
struct | Parsed
| A message with a header and optional body. More...

## Functions

template<typename T>
static constexpr auto | makeComparableRange (T &t)
template<typename T>
static constexpr auto | makeComparableRange (const T &t)

## Function Documentation

## makeComparableRange() [1/2]

template<typename T>

constexpr auto juce::midi_ci::Message::makeComparableRange | ( | T & | t | ) |

static constexpr

Referenced by juce::midi_ci::Message::ACK::tie(), juce::midi_ci::Message::DynamicSizePropertyExchange::tie(), juce::midi_ci::Message::EndpointInquiryResponse::tie(), juce::midi_ci::Message::NAK::tie(), juce::midi_ci::Message::ProfileDetailsResponse::tie(), juce::midi_ci::Message::ProfileInquiryResponse::tie(), juce::midi_ci::Message::ProfileSpecificData::tie(), and juce::midi_ci::Message::StaticSizePropertyExchange::tie().

## makeComparableRange() [2/2]

template<typename T>

constexpr auto juce::midi_ci::Message::makeComparableRange | ( | const T & | t | ) |

static constexpr

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited